QT       += core gui opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    mainwindow.h

FORMS += \
    mainwindow.ui

INCLUDEPATH+= ../
LIBS+= -I../ -lopencascade

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

INCLUDEPATH +=  /usr/local/include/opencascade/ \
                /usr/include/eigen3/ \
                /usr/include/ \
                /usr/local/lib/ \

# Opencascade
LIBS+= -lfreeimage
LIBS+= -L/usr/local/lib/
LIBS+= -lTKPrim -lTKernel -lTKMath -lTKTopAlgo -lTKService -lTKG2d -lTKG3d -lTKV3d -lTKOpenGl \
-lTKBRep -lTKXSBase -lTKGeomBase -lTKMeshVS -lTKXSDRAW -lTKLCAF -lTKXCAF -lTKCAF \
-lTKCDF -lTKBin -lTKBinL -lTKBinXCAF -lTKXml -lTKXmlL -lTKXmlXCAF \
-lTKIGES -lTKSTEP -lTKXDESTEP -lTKSTEP209 -lTKXDEIGES -lTKSTEPAttr -lTKSTEPBase \
-lTKSTL -lTKRWMesh -lTKVRML -lTKBin -lTKBinTObj -lTKBinL -lTKBinXCAF -lTKBO -lTKBool \
-lTKBRep -lTKDraw -lTKFeat -lTKFillet -lTKG2d -lTKG3d -lTKTObj \
-lTKTObjDRAW -lTKCAF -lTKCDF -lTKernel -lTKG2d -lTKG3d -lTKGeomAlgo -lTKGeomBase \
-lTKHLR -lTKLCAF -lTKMath -lTKMesh -lTKOffset -lTKQADraw -lTKStd \
-lTKMeshVS -lTKOpenGl -lTKPrim -lTKService -lTKShHealing -lTKTopAlgo -lTKTopTest \
-lTKViewerTest -lTKXSDRAW -lTKV3d -lTKVCAF -lTKXCAF -lTKXml -lTKXmlL -lTKXmlXCAF \
-lTKXSBase -lTKXDEDRAW -lTKXDEIGES -lTKXDESTEP -lTKXMesh -lTKXmlTObj -lTKV3d\
