QT += widgets opengl
TARGET = opencascade
TEMPLATE = lib
CONFIG += c++20

win32 {
	CONFIG += staticlib	
}

DEFINES += OPENCASCADE_LIBRARY

unix {
    target.path = /usr/lib
    INSTALLS += target
}

HEADERS += \
    draw_primitives.h \
    opencascade.h

SOURCES += \
    draw_primitives.cpp \
    opencascade.cpp

# Local include paths.
INCLUDEPATH+= libocc/ \

# Default rules for deployment.
unix {
    target.path = /usr/lib
}
!isEmpty(target.path): INSTALLS += target

DISTFILES +=

INCLUDEPATH +=  /usr/local/include/opencascade/ \
                /usr/include/eigen3/ \
                /usr/include/ \
                /usr/local/lib/ \

# Opencascade
LIBS+= -lfreeimage
LIBS+= -L/usr/local/lib/
LIBS+= -lTKPrim -lTKernel -lTKMath -lTKTopAlgo -lTKService -lTKG2d -lTKG3d -lTKV3d -lTKOpenGl \
-lTKBRep -lTKXSBase -lTKGeomBase -lTKMeshVS -lTKXSDRAW -lTKLCAF -lTKXCAF -lTKCAF \
-lTKCDF -lTKBin -lTKBinL -lTKBinXCAF -lTKXml -lTKXmlL -lTKXmlXCAF \
-lTKIGES -lTKSTEP -lTKXDESTEP -lTKSTEP209 -lTKXDEIGES -lTKSTEPAttr -lTKSTEPBase \
-lTKSTL -lTKRWMesh -lTKVRML -lTKBin -lTKBinTObj -lTKBinL -lTKBinXCAF -lTKBO -lTKBool \
-lTKBRep -lTKDraw -lTKFeat -lTKFillet -lTKG2d -lTKG3d -lTKTObj \
-lTKTObjDRAW -lTKCAF -lTKCDF -lTKernel -lTKG2d -lTKG3d -lTKGeomAlgo -lTKGeomBase \
-lTKHLR -lTKLCAF -lTKMath -lTKMesh -lTKOffset -lTKQADraw -lTKStd \
-lTKMeshVS -lTKOpenGl -lTKPrim -lTKService -lTKShHealing -lTKTopAlgo -lTKTopTest \
-lTKViewerTest -lTKXSDRAW -lTKV3d -lTKVCAF -lTKXCAF -lTKXml -lTKXmlL -lTKXmlXCAF \
-lTKXSBase -lTKXDEDRAW -lTKXDEIGES -lTKXDESTEP -lTKXMesh -lTKXmlTObj -lTKV3d\
