#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);

    occ = new Opencascade;
    ui->gridLayout_opencascade->addWidget(occ);
}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::on_pushButton_pressed()
{
    if(!occ->m_context.IsNull()){
        // Set some value trough funtions:
        occ->show_3d_interactive_box();

        // Set some value trough the property system:
        occ->setProperty("property_background_picture","../../Debian_Wallpaper.jpg");

        occ->setProperty("property_dro_testrun",1);
    }
}
